package com.realnet.forma.Services;
import com.realnet.forma.Repository.PremiumRepository;
import com.realnet.forma.Entity.Premium
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






import com.realnet.config.EmailService;


	import org.springframework.stereotype.Service;

@Service
 public class PremiumService {
@Autowired
private PremiumRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





@Autowired
	private EmailService emailServicestatic;

public Premium Savedata(Premium data) {







 

try 
		   {

		// emailServicestatic.sendEmail( getUser().getEmail(),"Premium", "ddd");
		emailServicestatic.sendEmailViaSetu(getUser().getEmail(),"ddd","","ganesh");

} catch (Exception e) {
			// TODO: handle exception
			System.out.println("Got error  During Mail Send " + e);
		}

 


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Premium save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Premium> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Premium> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Premium> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Premium getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Premium update(Premium data,Integer id) {
	Premium old = Repository.findById(id).get();
old.setName(data.getName());



old.setApproved_field_status(data.getApproved_field_status());



final Premium test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
